# -*- rpm-spec -*-
# $Id: kernel-feat-kconfig,v 1.5 2003/11/03 08:17:00 ed Exp $
#
%define  patch_name kernel-feat-kconfig

Name: %patch_name
Version: 2003.05.22
Release: alt4

Summary: %patch_name kernel patch - read the .config of the running kernel from /proc/config
License: GPL
Group: Development/Other
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

%source 1 01_kconfig-2.4.21rc2-alt.patch

BuildArch: noarch
BuildPreReq: kernel-build-tools

%description
With this patch you can read the configuration of the running
kernel from /proc/config.
The kernel enlargement depends on your kernel configuration and the
compression method chosen (gzip, bzip2 and none are available). 
An average configuration with gzip compression should be around 5-7 KB.

%install

%install_patches

%files
%_usrsrc/*

%changelog
* Thu Oct 30 2003 Ed V. Bartosh <ed@altlinux.ru> 2003.05.22-alt4
- Change packager to ed@altlinux.ru

* Fri Jul  4 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.05.22-alt3
- spec typos fixed

* Tue Jul  1 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.05.22-alt2
- spec improvements: using %%source and %%install_patches macros

* Thu May 22 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.05.22-alt1
- Initial release


